Bug 155530 - mail/mailman: Mailman+Postfix outputs incorrect recommendation
Summary: mail/mailman: Mailman+Postfix outputs incorrect recommendation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-13 14:30 UTC by Thomas A. Limoncelli
Modified: 2011-03-29 03:40 UTC (History)
0 users

See Also:


Attachments
file.diff (740 bytes, patch)
2011-03-13 14:30 UTC, Thomas A. Limoncelli
no flags Details | Diff
file.diff (1.33 KB, patch)
2011-03-13 14:30 UTC, Thomas A. Limoncelli
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas A. Limoncelli 2011-03-13 14:30:12 UTC
I upgraded mailman 2.14 to 2.14_1 today and noticed there is a typo in the recommendations at the end.

At the end it printed:

Your Postfix hostname is non-default.
You must add "$SMTPHOST = jughandle.whatexit.org" to the bottom of mm_cfg.py.

That file is Python, not Perl.  There should not be a "$" in that statement.

Fix: *** Makefile	2011/03/13 13:45:51	1.1
--- Makefile	2011/03/13 13:46:21
***************
Or even better....





*** Makefile	2011/03/13 13:45:51	1.1
--- Makefile	2011/03/13 14:22:58
***************
How-To-Repeat: Install Mailman while WITH_POSTFIX is defined.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-03-13 18:55:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Fix synopsis and assign.
Comment 2 Wesley Shields freebsd_committer 2011-03-29 03:38:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2011-03-29 03:38:31 UTC
wxs         2011-03-29 02:38:16 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailman         Makefile 
  Log:
  Fix post-install documentation.
  
  PR:             ports/155530
  Submitted by:   Thomas A. Limoncelli <tal@whatexit.org>
  
  Revision  Changes    Path
  1.85      +1 -1      ports/mail/mailman/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"